Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Body

application/json

Audio transcription parameters

include_ts
boolean
required

Should transcription include timestamps

model
string
required

The model to use for transcription. Available models can be retrieved via the GET /api/v1/client/models endpoint.

Example:

"WhisperLargeV3"

audio_url
string

URL of Twitter Spaces audio to transcribe (required if duration_seconds not provided)

Example:

"https://twitter.com/i/spaces/1nAKEERkeLbKL"

duration_seconds
number

Duration in seconds (required if audio_url not provided)

Example:

3600

Response

Calculated price for audio to text inference.

data
object